io.vertx.reactivex.ext.web.api

## Class RequestParameter

- java.lang.Object
- - io.vertx.reactivex.ext.web.api.RequestParameter

-     public class RequestParameter
      extends Object

  Request parameter holder

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<RequestParameter>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestParameter(Object delegate)`
    `RequestParameter(RequestParameter delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RequestParameter` | `create(Object value)` Deprecated.
    `static RequestParameter` | `create(String name, Object value)` Deprecated.
    `boolean` | `equals(Object o)`
    `List<RequestParameter>` | `getArray()` Deprecated.
    `Boolean` | `getBoolean()` Deprecated.
    `RequestParameter` | `getDelegate()`
    `Double` | `getDouble()` Deprecated.
    `Float` | `getFloat()` Deprecated.
    `Integer` | `getInteger()` Deprecated.
    `JsonArray` | `getJsonArray()` Deprecated.
    `JsonObject` | `getJsonObject()` Deprecated.
    `Long` | `getLong()` Deprecated.
    `String` | `getName()` Deprecated.
    `List<String>` | `getObjectKeys()` Deprecated.
    `RequestParameter` | `getObjectValue(String key)` Deprecated.
    `String` | `getString()` Deprecated.
    `int` | `hashCode()`
    `boolean` | `isArray()` Deprecated.
    `boolean` | `isBoolean()` Deprecated.
    `boolean` | `isDouble()` Deprecated.
    `boolean` | `isEmpty()` Deprecated.
    `boolean` | `isFloat()` Deprecated.
    `boolean` | `isInteger()` Deprecated.
    `boolean` | `isJsonArray()` Deprecated.
    `boolean` | `isJsonObject()` Deprecated.
    `boolean` | `isLong()` Deprecated.
    `boolean` | `isNull()` Deprecated.
    `boolean` | `isObject()` Deprecated.
    `boolean` | `isString()` Deprecated.
    `RequestParameter` | `merge(RequestParameter otherParameter)` Deprecated.
    `static RequestParameter` | `newInstance(RequestParameter arg)`
    `void` | `setName(String name)` Deprecated.
    `void` | `setValue(Object value)` Deprecated.
    `Object` | `toJson()` Deprecated.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<RequestParameter> __TYPE_ARG

  - ### Constructor Detail

    - #### RequestParameter

          public RequestParameter(RequestParameter delegate)

    - #### RequestParameter

          public RequestParameter(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public RequestParameter getDelegate()

    - #### setName

          @Deprecated
          public void setName(String name)

      Deprecated.
      Set parameter name
      Parameters:
        `name` -

    - #### setValue

          @Deprecated
          public void setValue(Object value)

      Deprecated.
      Set value
      Parameters:
        `value` -

    - #### getName

          @Deprecated
          public String getName()

      Deprecated.
      Get parameter name
      Returns:

    - #### getObjectKeys

          @Deprecated
          public List<String> getObjectKeys()

      Deprecated.
      If value is a map of fields, it returns keys of map, otherwise it returns null
      Returns:

    - #### getObjectValue

          @Deprecated
          public RequestParameter getObjectValue(String key)

      Deprecated.
      If value is a map of fields, it returns value of field with key provided, otherwise it returns null
      Parameters:
        `key` -
      Returns:

    - #### isObject

          @Deprecated
          public boolean isObject()

      Deprecated.
      Returns true if value of RequestParameter is a map of fields
      Returns:

    - #### getArray

          @Deprecated
          public List<RequestParameter> getArray()

      Deprecated.
      Returns null if value is not a list, otherwise it returns value
      Returns:

    - #### isArray

          @Deprecated
          public boolean isArray()

      Deprecated.
      Returns true if value of RequestParameter is an array
      Returns:

    - #### getString

          @Deprecated
          public String getString()

      Deprecated.
      Returns null if value is not a String, otherwise it returns value
      Returns:

    - #### isString

          @Deprecated
          public boolean isString()

      Deprecated.
      Returns true if value of RequestParameter is a String instance
      Returns:

    - #### getInteger

          @Deprecated
          public Integer getInteger()

      Deprecated.
      Returns null if value is not an Integer, otherwise it returns value
      Returns:

    - #### isInteger

          @Deprecated
          public boolean isInteger()

      Deprecated.
      Returns true if value of RequestParameter is an Integer instance
      Returns:

    - #### getLong

          @Deprecated
          public Long getLong()

      Deprecated.
      Returns null if value is not a Long, otherwise it returns value
      Returns:

    - #### isLong

          @Deprecated
          public boolean isLong()

      Deprecated.
      Returns true if value of RequestParameter is a Long instance
      Returns:

    - #### getFloat

          @Deprecated
          public Float getFloat()

      Deprecated.
      Returns null if value is not a Float, otherwise it returns value
      Returns:

    - #### isFloat

          @Deprecated
          public boolean isFloat()

      Deprecated.
      Returns true if value of RequestParameter is a Float instance
      Returns:

    - #### getDouble

          @Deprecated
          public Double getDouble()

      Deprecated.
      Returns null if value is not a Double, otherwise it returns value
      Returns:

    - #### isDouble

          @Deprecated
          public boolean isDouble()

      Deprecated.
      Returns true if value of RequestParameter is a Double instance
      Returns:

    - #### getBoolean

          @Deprecated
          public Boolean getBoolean()

      Deprecated.
      Returns null if value is not a Boolean, otherwise it returns value
      Returns:

    - #### isBoolean

          @Deprecated
          public boolean isBoolean()

      Deprecated.
      Returns true if value of RequestParameter is a Boolean instance
      Returns:

    - #### getJsonObject

          @Deprecated
          public JsonObject getJsonObject()

      Deprecated.
      Returns null if value is not a JsonObject, otherwise it returns value
      Returns:

    - #### isJsonObject

          @Deprecated
          public boolean isJsonObject()

      Deprecated.
      Returns true if value of RequestParameter is a JsonObject instance
      Returns:

    - #### getJsonArray

          @Deprecated
          public JsonArray getJsonArray()

      Deprecated.
      Returns null if value is not a JsonArray, otherwise it returns value
      Returns:

    - #### isJsonArray

          @Deprecated
          public boolean isJsonArray()

      Deprecated.
      Returns true if value of RequestParameter is a JsonArray instance
      Returns:

    - #### isNull

          @Deprecated
          public boolean isNull()

      Deprecated.
      Returns true if value is null
      Returns:

    - #### isEmpty

          @Deprecated
          public boolean isEmpty()

      Deprecated.
      Alias of `isNull()`
      Returns:

    - #### toJson

          @Deprecated
          public Object toJson()

      Deprecated.
      Converts deeply this RequestParameter in a Json representation
      Returns:

    - #### merge

          @Deprecated
          public RequestParameter merge(RequestParameter otherParameter)

      Deprecated.
      Merge this request parameter with another one. Note: the parameter passed by argument has the priority
      Parameters:
        `otherParameter` -
      Returns:

    - #### create

          @Deprecated
          public static RequestParameter create(String name,
                                                            Object value)

      Deprecated.

    - #### create

          @Deprecated
          public static RequestParameter create(Object value)

      Deprecated.

    - #### newInstance

          public static RequestParameter newInstance(RequestParameter arg)

Copyright © 2020 Eclipse. All rights reserved.